Package org.apache.qpid.proton.engine

# Interface TransportResult

public interface TransportResult

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`TransportResult.Status`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkIsOk()`
`String`
`getErrorDescription()`
`Exception`
`getException()`
`TransportResult.Status`
`getStatus()`
`boolean`
`isOk()`

## Method Details

### getStatus

TransportResult.Status getStatus()

### getErrorDescription

String getErrorDescription()

### getException

Exception getException()

### checkIsOk

void checkIsOk()

Throws:
  `TransportException` - if the result's state is not ok.

### isOk

boolean isOk()